Subject: Re: git-svn died of signal 11 (was "3 failures on test t9100 (svn)")

From: Nicolas Sebrecht <[email-masked]>
Date: Wed, 3 Mar 2010 22:24:33 +0100

The 03/03/10, Jeff King wrote:
> On Wed, Mar 03, 2010 at 10:22:13AM +0100, Nicolas Sebrecht wrote:
> 
> >   $ git svn fetch
> > [...]
> >   error: git-svn died of signal 11
> 
> I was able to clone this repository just fine with "git svn clone"
> (which should internally just be doing that same fetch). But since it is
> a segfault, and since you are having problems with some repositories and
> not others, it may be a problem with uninitialized data or similar.
> 
> And the fact that you are getting a perl program to segfault means it is
> probably not the perl program's fault, but a problem with perl itself or
> an XS module loaded by perl (like, say, the SVN module).

I've tried with perl-5.8.8-r6 instead of perl-5.8.8-r5 (gentoo revisions
of ebuild) but it still segfault.

> Do you have valgrind installed? Have you tried running

Looking at the valgrind output (attached), it looks like the fault comes
from the apr library, right? If so, it is somewhat sad because I'd
rather not to have to sync my portage tree. :(

> > Adding the -d option to the shebang of git-svn doesn't help. I've
> > stopped the process after 24 minutes running.  I have no more
> > information with the -w option set.
> 
> What's it doing for 24 minutes? Is it actually chewing on cpu, or is it
> blocking on I/O? Have you tried running it under strace?

The cpu chewing.

-- 
Nicolas Sebrecht